require 'aws-sdk-cloudformation'
require 'humidifier'
require 'thor'
require 'thor/hollaback'
require 'yaml'

require 'humidifier/reservoir/base_mapper'
require 'humidifier/reservoir/cli'
require 'humidifier/reservoir/config'
require 'humidifier/reservoir/error'
require 'humidifier/reservoir/mapping'
require 'humidifier/reservoir/parameter_list'
require 'humidifier/reservoir/stack'
require 'humidifier/reservoir/version'

module Humidifier
  # The parent module for Reservoir-related constants.
  module Reservoir
    class << self
      def config
        @config ||= Config.new
      end

      def configure
        yield config
      end

      def files_for(name)
        config.files_for(name)
      end

      def mapping_for(type)
        config.mapping_for(type)
      end

      def stack_prefix
        config.stack_prefix
      end

      def stacks
        config.stacks
      end
    end
  end
end
