module Humidifier
  module Reservoir
    # The list of parameters for a given stack parsed from the given filepath.
    module ParameterList
      def self.from(filepath)
        loaded = YAML.load_file(filepath)
        return {} unless loaded

        loaded.each_with_object({}) do |(name, opts), params|
          opts = opts.map { |key, value| [key.to_sym, value] }.to_h
          params[name] = Parameter.new(opts)
        end
      end
    end
  end
end
